CS::Geometry::GeneralMeshBuilder Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
CS::Geometry::GeneralMeshBuilder Class Reference

Tools related to creating genmesh instances and factories. More...

`#include <cstool/genmeshbuilder.h>`

List of all members.

## Static Public Member Functions
static csPtr< iMeshFactoryWrapper > | CreateFactory (iEngine *engine, const char *name, Primitive *primitive=0)
| Create a genmesh factory with an optional primitive.
static csPtr< iMeshWrapper > | CreateFactoryAndMesh (iEngine *engine, iSector *sector, const char *name, const char *factoryname, Primitive *primitive=0)
| Create a factory and a genmesh from a primitive.
static csPtr< iMeshWrapper > | CreateMesh (iEngine *engine, iSector *sector, const char *name, iMeshFactoryWrapper *factory)
| Create a genmesh instance from a factory.
static csPtr< iMeshWrapper > | CreateMesh (iEngine *engine, iSector *sector, const char *name, const char *factoryname)
| Create a genmesh instance from a named factory.

## Detailed Description

Tools related to creating genmesh instances and factories.

Definition at line 365 of file genmeshbuilder.h.

## Member Function Documentation

static csPtr<iMeshFactoryWrapper> CS::Geometry::GeneralMeshBuilder::CreateFactory | ( | iEngine * | engine,
|  | const char * | name,
|  | Primitive * | primitive = `0`
| ) |  | `[static]`

Create a genmesh factory with an optional primitive.

Assign to a csRef.

Parameters:

  name | the engine name of the factory that will be created
  primitive | is an optional primitive that can be used to augment the factory.

static csPtr<iMeshWrapper> CS::Geometry::GeneralMeshBuilder::CreateFactoryAndMesh | ( | iEngine * | engine,
|  | iSector * | sector,
|  | const char * | name,
|  | const char * | factoryname,
|  | Primitive * | primitive = `0`
| ) |  | `[static]`

Create a factory and a genmesh from a primitive.

This is a common used method where you only need one mesh from a factory. So with this method you can create both at once. This mesh will have CS_ZBUF_USE set (use Z-buffer fully) and have 'object' as render priority. This means this function is useful for general objects. Assign to a csRef. The object will be placed at position 0,0,0 in the sector.

Parameters:

  sector | the sector to add the object to
  name | the engine name of the mesh that will be created
  factoryname | the engine name of the factory to create.
  primitive | is an optional primitive that can be used to augment the factory.

static csPtr<iMeshWrapper> CS::Geometry::GeneralMeshBuilder::CreateMesh | ( | iEngine * | engine,
|  | iSector * | sector,
|  | const char * | name,
|  | iMeshFactoryWrapper * | factory
| ) |  | `[static]`

Create a genmesh instance from a factory.

This mesh will have CS_ZBUF_USE set (use Z-buffer fully) and have 'object' as render priority. This means this function is useful for general objects. Assign to a csRef. The object will be placed at position 0,0,0 in the sector.

Parameters:

  sector | the sector to add the object to
  name | the engine name of the mesh that will be created
  factoryname | the engine name of the factory to use.

static csPtr<iMeshWrapper> CS::Geometry::GeneralMeshBuilder::CreateMesh | ( | iEngine * | engine,
|  | iSector * | sector,
|  | const char * | name,
|  | const char * | factoryname
| ) |  | `[static]`

Create a genmesh instance from a named factory.

This mesh will have CS_ZBUF_USE set (use Z-buffer fully) and have 'object' as render priority. This means this function is useful for general objects. Assign to a csRef. The object will be placed at position 0,0,0 in the sector.

Parameters:

  sector | the sector to add the object to
  name | the engine name of the mesh that will be created
  factoryname | the engine name of the factory to use.

The documentation for this class was generated from the following file:

- cstool/genmeshbuilder.h